<div class="mat-dialog-content-container">
    <h1 mat-dialog-title>
        <span style="flex: 1;">{{lang.tags}}</span>
        <button title="{{lang.close}}" mat-icon-button [mat-dialog-close]="">
            <mat-icon class="fa fa-times-circle fa-2x"></mat-icon>
        </button>
    </h1>
    <div mat-dialog-content>
        <div class="col-md-6" [class.col-md-12]="!functionsService.empty(tag)" style="overflow: auto;">
            <div id="jstree"></div>
        </div>
        <div class="col-md-6" *ngIf="!functionsService.empty(tag)">
            <div class="alert-message alert-message-info" role="alert">
                <b>{{lang.description}} :</b><br />
                {{!functionsService.empty(tag.description) ? tag.description : lang.undefined}}
                <br /><br />
                <b>{{lang.usage}} :</b><br />
                {{!functionsService.empty(tag.usage) ? tag.usage : lang.undefined}}
                <ng-container *ngIf="tag.links.length > 0">
                    <br />
                    <hr />
                    <span class="badge" [title]="lang.linkedTags" style="cursor: pointer;"
                        *ngFor="let link of tag.links" (click)="selectTag(link)">{{getTagLabel(link)}}</span>
                </ng-container>
            </div>
        </div>
    </div>
    <span class="divider-modal"></span>
    <div mat-dialog-actions class="actions" *ngIf="functionsService.empty(data.id)">
        <button mat-raised-button mat-button color="primary" [disabled]="loading || functionsService.empty(tag)"
            (click)="onSubmit()">{{lang.validate}}</button>
        <button mat-raised-button mat-button [disabled]="loading" [mat-dialog-close]="">{{lang.cancel}}</button>
    </div>
</div>